@import "variables";

.root {
  display: grid;
  grid-template-columns: auto 1fr;
  &--dark {
    border-left: 1px solid #ccc;
  }
  &--light {
    border-left: 1px solid #000;
  }

  .personIcon {
    position: relative;
    left: -$shift-actor-icon;
    grid-row: 1 / span 1;
    align-self: center;
    padding: 5px;
    border-radius: 14px;
    &--dark {
      border: 1px solid #ccc;
      background: #595;
    }
    &--light {
      border: 1px solid #000;
      background: #9c9;
    }
  }
  .accordion {
    display: grid;
    align-items: center;
    cursor: pointer;
    text-align: left;
    border: none;
    outline: none;
    background: transparent;
  }
  .accordion:hover {
    background: none !important;
    text-decoration: underline;
  }

  .panel {
    grid-column: 2;
    overflow: hidden;
    &.active {
      display: block;
    }
    &.hidden {
      display: none;
    }
  }

  .infoWrapper {
    display: grid;
    grid-template-columns: auto 1fr;
    & .infoIcon {
      padding-right: 5px;
    }
    p {
      margin: 0;
    }
    &:not(:last-child) {
      margin-bottom: 6px;
    }
  }
}
